Package com.android.server.os

# Interface LinphoneTombstoneProtos.CauseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`

All Known Implementing Classes:
  `LinphoneTombstoneProtos.Cause`, `LinphoneTombstoneProtos.Cause.Builder`

Enclosing class:
  LinphoneTombstoneProtos

public static interface LinphoneTombstoneProtos.CauseOrBuilder extends com.google.protobuf.MessageLiteOrBuilder

## Method Summary

Modifier and Type
Method
Description
`LinphoneTombstoneProtos.Cause.DetailsCase`
`getDetailsCase()`
`String`
`getHumanReadable()`
`string human_readable = 1;`
`com.google.protobuf.ByteString`
`getHumanReadableBytes()`
`string human_readable = 1;`
`LinphoneTombstoneProtos.MemoryError`
`getMemoryError()`
`.MemoryError memory_error = 2;`
`boolean`
`hasMemoryError()`
`.MemoryError memory_error = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getHumanReadable

String getHumanReadable()
`string human_readable = 1;`

Returns:
  The humanReadable.

### getHumanReadableBytes

com.google.protobuf.ByteString getHumanReadableBytes()
`string human_readable = 1;`

Returns:
  The bytes for humanReadable.

### hasMemoryError

boolean hasMemoryError()
`.MemoryError memory_error = 2;`

Returns:
  Whether the memoryError field is set.

### getMemoryError

LinphoneTombstoneProtos.MemoryError getMemoryError()
`.MemoryError memory_error = 2;`

Returns:
  The memoryError.

### getDetailsCase

LinphoneTombstoneProtos.Cause.DetailsCase getDetailsCase()